Package org.pushingpixels.substance.internal.inputmaps

# Class BaseInputMapSet.SliderActions

java.lang.Object
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.SliderActions

Enclosing class:
  `BaseInputMapSet`

protected static class BaseInputMapSet.SliderActions extends Object
From BasicSliderUI.Actions

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MAX_SCROLL_INCREMENT`
`static final String`
`MIN_SCROLL_INCREMENT`
`static final String`
`NEGATIVE_BLOCK_INCREMENT`
`static final String`
`NEGATIVE_UNIT_INCREMENT`
`static final String`
`POSITIVE_BLOCK_INCREMENT`
`static final String`
`POSITIVE_UNIT_INCREMENT`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SliderActions()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### POSITIVE_UNIT_INCREMENT

public static final String POSITIVE_UNIT_INCREMENT

See Also:
  - Constant Field Values

### POSITIVE_BLOCK_INCREMENT

public static final String POSITIVE_BLOCK_INCREMENT

See Also:
  - Constant Field Values

### NEGATIVE_UNIT_INCREMENT

public static final String NEGATIVE_UNIT_INCREMENT

See Also:
  - Constant Field Values

### NEGATIVE_BLOCK_INCREMENT

public static final String NEGATIVE_BLOCK_INCREMENT

See Also:
  - Constant Field Values

### MIN_SCROLL_INCREMENT

public static final String MIN_SCROLL_INCREMENT

See Also:
  - Constant Field Values

### MAX_SCROLL_INCREMENT

public static final String MAX_SCROLL_INCREMENT

See Also:
  - Constant Field Values

## Constructor Details

### SliderActions

protected SliderActions()